Skip to navigation

Assign an existing Card User to an existing Card

Assign an existing Card User to an existing Card. The Card must be in an ACTIVE or PREACTIVE status and the Card User must be in an ACTIVATED status. Once a Card is assigned to a Card User it cannot be reassigned and the digitialWalletProvisionable field cannot be modified.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardIdstringRequired<=19 characters
A unique ID that is created for the Card.

Request

This endpoint expects an object.
cardUserIdstringRequired<=38 characters
A unique ID that is created for the Card User.
digitalWalletProvisionablebooleanRequired
This field captures the User's preference for whether the Card can be added to a digital wallet. This field is required when a Partner has signed up for the mobile wallet provisioning and the Card is being created for a Card User. If one or both of these conditions are not met, the field must be NULL.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardIdstring<=19 characters
A unique ID that is created for the Card.
cardUserIdstring<=38 characters
A unique ID that is created for the Card User.
digitalWalletProvisionableboolean
This field captures the User's preference for whether the Card can be added to a digital wallet. This field is required when a Partner has signed up for the mobile wallet provisioning and the Card is being created for a Card User. If one or both of these conditions are not met, the field must be NULL.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
504
Gateway Timeout Error